/*
 * include needed system headers
 */
#include <stdio.h>       /* include standard i/o library */
#include <stdlib.h>      /* include standard library */
#include <string.h>      /* include string library */
#include <unistd.h>      /* include unix standard library */
#include <sys/types.h>   /* */
#include <sys/stat.h>    /* */
#include <fcntl.h>       /* */
#include <errno.h>       /* error simbol definitions */
#include <time.h>        /* system time definitions */
#include <math.h>        /* math library */

void readtrailer_(unsigned short *trailer, int *error, int *fd)

{
    int nread;
    int i;
    unsigned short word;

    *error=0;

/*** read the buffer ***/
    nread=read(*fd, trailer, 2*3);//il trailer e' lungo 6 parole da 8 bits
    if( nread==0 ) {
	printf("readtrailer: Unexpected end of file %d at %d \n",*fd,nread);
	*error=1;
	return ;
    }
    if ( nread != 6) {
	printf("readtrailer: Error on reading: nread = %d \n",nread);
	*error=-1;
 	return ; 
    }


/*** correct byte ***/ //endianess...
    for(i=0; i<3; i++) {
	word = trailer[i];
	trailer[i] = ( (word&0x00ff) << 8 ) | ( (word&0xff00) >> 8 );
    }

//    for( i=0; i<3; i++) printf("%x \n",trailer[i]);//???

    return; 
}
